Subject: Re: bug#40589: ^L printed when resizing Emacs split window using ksh93

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 14 Jun 2021 16:08:27 +0200

Mike Kupfer <[email-masked]> writes:

>> PS2 is printed multiple times during the resize.  When entered is
>> pressed after the resize, multiple ^L s are displayed.  I set PS2=""
>> and the brackets are omitted, however ^L still remain after pressing
>> enter.
>> 
>> Is this a known issue?
>
> Yes.  Here's the text from the Emacs PROBLEMS file:
>
>   *** In Shell buffers using ksh, resizing a window inserts random characters.

I tried to reproduce this in Emacs 26.1 (and 28), but I was unable to.
Do you have a recipe, starting from "emacs -Q", that displays the
problem?

I tried:

emacs -Q
(setq shell-file-name "/bin/ksh")
M-x shell

and then resizing the window, and nothing untoward happened.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no